﻿/**Begin C:\PDM_UPGRADE\sharepdmdir\sou\pdm1\SOU_constraint.sql **/
 EXEC P_ALTERPK 'PK_MCM_DIFF_RESULT', 'T_MCM_DIFF_RESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFF_RESULT_FID') CREATE INDEX IDX_T_MCM_DIFF_RESULT_FID ON T_MCM_DIFF_RESULT ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_DIFF_RESULTATT', 'T_MCM_DIFF_RESULTATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFF_RESULTATT_FID') CREATE INDEX IDX_T_MCM_DIFF_RESULTATT_FID ON T_MCM_DIFF_RESULTATT ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_MCM_DIFFERENTE', 'T_MCM_DIFFERENTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFERENTE_ORIGIN') CREATE INDEX IDX_T_MCM_DIFFERENTE_ORIGIN ON T_MCM_DIFFERENTE ( FORIGINBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFERENTE_BILLNO') CREATE INDEX IDX_T_MCM_DIFFERENTE_BILLNO ON T_MCM_DIFFERENTE ( FBILLNO );


 EXEC P_ALTERPK 'PK_MCM_DIFFERENTE_ENTRY', 'T_MCM_DIFFERENTE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFERENTE_ENTRY_FID') CREATE INDEX IDX_T_MCM_DIFFERENTE_ENTRY_FID ON T_MCM_DIFFERENTE_ENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_DIFFERENTE_L', 'T_MCM_DIFFERENTE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFERENTE_L_FID') CREATE INDEX IDX_T_MCM_DIFFERENTE_L_FID ON T_MCM_DIFFERENTE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_DIFFERENTE_ORG', 'T_MCM_DIFFERENTE_ORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFERENTE_ORG_FID') CREATE INDEX IDX_T_MCM_DIFFERENTE_ORG_FID ON T_MCM_DIFFERENTE_ORG ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_DIFFJOB', 'T_MCM_DIFFJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFJOB_ORG') CREATE INDEX IDX_T_MCM_DIFFJOB_ORG ON T_MCM_DIFFJOB ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFJOB_BILLNO') CREATE INDEX IDX_T_MCM_DIFFJOB_BILLNO ON T_MCM_DIFFJOB ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFJOB_STGY') CREATE INDEX IDX_T_MCM_DIFFJOB_STGY ON T_MCM_DIFFJOB ( FSTRATEGYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFJOB_SOURCE') CREATE INDEX IDX_T_MCM_DIFFJOB_SOURCE ON T_MCM_DIFFJOB ( FSOURCEBILLID );


 EXEC P_ALTERPK 'PK_MCM_DIFFJOB_L', 'T_MCM_DIFFJOB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFJOB_L_FID') CREATE INDEX IDX_T_MCM_DIFFJOB_L_FID ON T_MCM_DIFFJOB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_DIFFPLAN', 'T_MCM_DIFFPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFPLAN_BILLNO') CREATE INDEX IDX_T_MCM_DIFFPLAN_BILLNO ON T_MCM_DIFFPLAN ( FBILLNO );


 EXEC P_ALTERPK 'PK_MCM_DIFFPLAN_ENTRY', 'T_MCM_DIFFPLAN_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFPLAN_ENTRY_FID') CREATE INDEX IDX_T_MCM_DIFFPLAN_ENTRY_FID ON T_MCM_DIFFPLAN_ENTRY ( FID ,FSEQ );




 EXEC P_ALTERPK 'PK_MCM_DIFFPLAN_L', 'T_MCM_DIFFPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_DIFFPLAN_L_FID') CREATE INDEX IDX_T_MCM_DIFFPLAN_L_FID ON T_MCM_DIFFPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_IMPROVE_RESULTATT', 'T_MCM_IMPROVE_RESULTATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVE_ATT_ENTRY') CREATE INDEX IDX_T_MCM_IMPROVE_ATT_ENTRY ON T_MCM_IMPROVE_RESULTATT ( FENTRYID );


 EXEC P_ALTERPK 'PK_MCM_IMPROVE_STRATEGY', 'T_MCM_IMPROVE_STRATEGY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVE_STRATEGY_FID') CREATE INDEX IDX_T_MCM_IMPROVE_STRATEGY_FID ON T_MCM_IMPROVE_STRATEGY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_IMPROVEJOB', 'T_MCM_IMPROVEJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVEJOB_BILLNO') CREATE INDEX IDX_T_MCM_IMPROVEJOB_BILLNO ON T_MCM_IMPROVEJOB ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVEJOB_STGY') CREATE INDEX IDX_T_MCM_IMPROVEJOB_STGY ON T_MCM_IMPROVEJOB ( FSTRATEGYID );


 EXEC P_ALTERPK 'PK_MCM_IMPROVEJOB_L', 'T_MCM_IMPROVEJOB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVEJOB_L') CREATE INDEX IDX_T_MCM_IMPROVEJOB_L ON T_MCM_IMPROVEJOB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_IMPROVEPLAN', 'T_MCM_IMPROVEPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVEPLAN_BILLNO') CREATE INDEX IDX_T_MCM_IMPROVEPLAN_BILLNO ON T_MCM_IMPROVEPLAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVEPLAN_SOURCE') CREATE INDEX IDX_T_MCM_IMPROVEPLAN_SOURCE ON T_MCM_IMPROVEPLAN ( FSOURCEBILLID );


 EXEC P_ALTERPK 'PK_MCM_IMPROVEPLAN_L', 'T_MCM_IMPROVEPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_IMPROVEPLAN_L') CREATE INDEX IDX_T_MCM_IMPROVEPLAN_L ON T_MCM_IMPROVEPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_PERFORMIMPOVE', 'T_MCM_PERFORMIMPOVE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_PERFORMIMPOVE_BILLNO') CREATE INDEX IDX_T_MCM_PERFORMIMPOVE_BILLNO ON T_MCM_PERFORMIMPOVE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_PERFORMIMPOVE_SOURCE') CREATE INDEX IDX_T_MCM_PERFORMIMPOVE_SOURCE ON T_MCM_PERFORMIMPOVE ( FSOURCEBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_PERFORMIMPOVE_ORIGIN') CREATE INDEX IDX_T_MCM_PERFORMIMPOVE_ORIGIN ON T_MCM_PERFORMIMPOVE ( FORIGINBILLID );


 EXEC P_ALTERPK 'PK_MCM_PERFORMIMPOVE_ENTRY', 'T_MCM_PERFORMIMPOVE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_PERFORM_ENTRY_FID') CREATE INDEX IDX_T_MCM_PERFORM_ENTRY_FID ON T_MCM_PERFORMIMPOVE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_MCM_PERFORMIMPOVE_L', 'T_MCM_PERFORMIMPOVE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_PERFORMIMPOVE_L') CREATE INDEX IDX_T_MCM_PERFORMIMPOVE_L ON T_MCM_PERFORMIMPOVE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_PERFORMIMPOVE_ORG', 'T_MCM_PERFORMIMPOVE_ORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_PERFORM_ORG_FID') CREATE INDEX IDX_T_MCM_PERFORM_ORG_FID ON T_MCM_PERFORMIMPOVE_ORG ( FID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLY_ORG', 'T_MCM_SUPPLY_ORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLY_ORG_FID') CREATE INDEX IDX_T_MCM_SUPPLY_ORG_FID ON T_MCM_SUPPLY_ORG ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYJOB', 'T_MCM_SUPPLYJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYJOB_BILLNO') CREATE INDEX IDX_T_MCM_SUPPLYJOB_BILLNO ON T_MCM_SUPPLYJOB ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYJOB_STGY') CREATE INDEX IDX_T_MCM_SUPPLYJOB_STGY ON T_MCM_SUPPLYJOB ( FSTRATEGYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYJOB_PLAN') CREATE INDEX IDX_T_MCM_SUPPLYJOB_PLAN ON T_MCM_SUPPLYJOB ( FSOURCEBILLID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYJOB_L', 'T_MCM_SUPPLYJOB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYJOB_L') CREATE INDEX IDX_T_MCM_SUPPLYJOB_L ON T_MCM_SUPPLYJOB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYJOB_RESULT', 'T_MCM_SUPPLYJOB_RESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYJOB_RESULT_FID') CREATE INDEX IDX_T_MCM_SUPPLYJOB_RESULT_FID ON T_MCM_SUPPLYJOB_RESULT ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYJOB_RESULTATT', 'T_MCM_SUPPLYJOB_RESULTATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYJOB_RESULTATT') CREATE INDEX IDX_T_MCM_SUPPLYJOB_RESULTATT ON T_MCM_SUPPLYJOB_RESULTATT ( FENTRYID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYLAYOUT', 'T_MCM_SUPPLYLAYOUT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYLAYOUT_BILLNO') CREATE INDEX IDX_T_MCM_SUPPLYLAYOUT_BILLNO ON T_MCM_SUPPLYLAYOUT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYLAYOUT_ORIGIN') CREATE INDEX IDX_T_MCM_SUPPLYLAYOUT_ORIGIN ON T_MCM_SUPPLYLAYOUT ( FORIGINBILLID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYLAYOUT_ENTRY', 'T_MCM_SUPPLYLAYOUT_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLY_ENTRY_FID') CREATE INDEX IDX_T_MCM_SUPPLY_ENTRY_FID ON T_MCM_SUPPLYLAYOUT_ENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYLAYOUT_L', 'T_MCM_SUPPLYLAYOUT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MCM_SUPPLYLAYOUT_L') CREATE INDEX IDX_T_MCM_SUPPLYLAYOUT_L ON T_MCM_SUPPLYLAYOUT_L ( FID ,FLOCALEID );



/**End C:\PDM_UPGRADE\sharepdmdir\sou\pdm1\SOU_constraint.sql **/
