﻿/**Begin C:\PDM_UPGRADE\PDM1\SOU_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MCM_DIFFPLAN' AND KSQL_COL_NAME IN ('FCHANGEREASON')) 
 ALTER TABLE T_MCM_DIFFPLAN ADD (FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MCM_IMPROVEPLAN' AND KSQL_COL_NAME IN ('FCHANGEREASON')) 
 ALTER TABLE T_MCM_IMPROVEPLAN ADD (FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MCM_SUPPLYPLAN' AND KSQL_COL_NAME IN ('FCHANGEREASON')) 
 ALTER TABLE T_MCM_SUPPLYPLAN ADD (FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_SUPPLYPLAN_CHANGE') 
 CREATE TABLE T_MCM_SUPPLYPLAN_CHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FYEAR VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXEPLANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLANID BIGINT DEFAULT 0 NOT NULL,
FSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTRATEGYENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_SUPPLYPLAN_CHANGE_L') 
 CREATE TABLE T_MCM_SUPPLYPLAN_CHANGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEXEPLANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_SUPPLYPLAN_ENTRYOLD') 
 CREATE TABLE T_MCM_SUPPLYPLAN_ENTRYOLD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSTRATEGYTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FGRADE CHAR(1) DEFAULT ' ' NOT NULL,
FCOACH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLANENTRYID BIGINT DEFAULT 0 NOT NULL,
FPUSHSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPROGRESS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAUDITRESULT VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_SUPPLYPLAN_ENTRYNEW') 
 CREATE TABLE T_MCM_SUPPLYPLAN_ENTRYNEW (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSTRATEGYTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FGRADE CHAR(1) DEFAULT ' ' NOT NULL,
FCOACH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLANENTRYID BIGINT DEFAULT 0 NOT NULL,
FPLANID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_IMPROVEPLAN_CHANGE') 
 CREATE TABLE T_MCM_IMPROVEPLAN_CHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FYEAR VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXEPLANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLANID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_IMPROVE_ENTRYOLD') 
 CREATE TABLE T_MCM_IMPROVE_ENTRYOLD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FEVAGRADEID BIGINT DEFAULT 0 NOT NULL,
FPLANENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_IMPROVE_ENTRYNEW') 
 CREATE TABLE T_MCM_IMPROVE_ENTRYNEW (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FPLANENTRYID BIGINT DEFAULT 0 NOT NULL,
FPLANID BIGINT DEFAULT 0 NOT NULL,
FEVAGRADEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_IMPROVEPLAN_CHANGE_L') 
 CREATE TABLE T_MCM_IMPROVEPLAN_CHANGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEXEPLANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MCM_IMPROVE_RESULT') 
 CREATE TABLE T_MCM_IMPROVE_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FEXERESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FREALSTARTTIME DATETIME,
FREALENDTIME DATETIME,
FREALVIEW NVARCHAR(500) DEFAULT ' ' NOT NULL,
FREPLYPERSONID BIGINT DEFAULT 0 NOT NULL,
FDEALTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FREPLYTIME DATETIME
);


/**End C:\PDM_UPGRADE\PDM1\SOU_table.sql **/
