﻿/**Begin C:\PDM_UPGRADE\PDM1\SOU_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MCM_SUPPLYPLAN_CHANGE', 'T_MCM_SUPPLYPLAN_CHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYPLAN_CHANGE_NO') CREATE INDEX IDX_MCM_SUPPLYPLAN_CHANGE_NO ON T_MCM_SUPPLYPLAN_CHANGE ( FCREATETIME ,FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLANCHANGE_PLANID') CREATE INDEX IDX_MCM_SUPPLANCHANGE_PLANID ON T_MCM_SUPPLYPLAN_CHANGE ( FPLANID );


 EXEC P_ALTERPK 'PK_T_MCM_SUPPLYPLAN_CHANGE_L', 'T_MCM_SUPPLYPLAN_CHANGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYPLAN_CHANGE_L') CREATE INDEX IDX_MCM_SUPPLYPLAN_CHANGE_L ON T_MCM_SUPPLYPLAN_CHANGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MCM_SUPPLYPLAN_ENTRYOLD', 'T_MCM_SUPPLYPLAN_ENTRYOLD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SP_ENTRYOLD_PLANID') CREATE INDEX IDX_MCM_SP_ENTRYOLD_PLANID ON T_MCM_SUPPLYPLAN_ENTRYOLD ( FPLANENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SP_ENTRYOLD_ID') CREATE INDEX IDX_MCM_SP_ENTRYOLD_ID ON T_MCM_SUPPLYPLAN_ENTRYOLD ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MCM_SUPPLYPLAN_ENTRYNEW', 'T_MCM_SUPPLYPLAN_ENTRYNEW', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SP_ENTRYNEW_PLANID') CREATE INDEX IDX_MCM_SP_ENTRYNEW_PLANID ON T_MCM_SUPPLYPLAN_ENTRYNEW ( FPLANENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SP_ENTRYNEW_ID') CREATE INDEX IDX_MCM_SP_ENTRYNEW_ID ON T_MCM_SUPPLYPLAN_ENTRYNEW ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MCM_IMPROVEPLAN_CHANGE', 'T_MCM_IMPROVEPLAN_CHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_IMPLAN_CHANGE_NO') CREATE INDEX IDX_MCM_IMPLAN_CHANGE_NO ON T_MCM_IMPROVEPLAN_CHANGE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_MCM_IMPROVE_ENTRYOLD', 'T_MCM_IMPROVE_ENTRYOLD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_MCM_IMPLAN_ENTRYOLD_FID') CREATE INDEX T_MCM_IMPLAN_ENTRYOLD_FID ON T_MCM_IMPROVE_ENTRYOLD ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MCM_IMPROVE_ENTRYNEW', 'T_MCM_IMPROVE_ENTRYNEW', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_IMPLAN_ENTRYNEW_ID') CREATE INDEX IDX_MCM_IMPLAN_ENTRYNEW_ID ON T_MCM_IMPROVE_ENTRYNEW ( FID ,FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_IMPLAN_ENTRYNEW_PLANID') CREATE INDEX IDX_MCM_IMPLAN_ENTRYNEW_PLANID ON T_MCM_IMPROVE_ENTRYNEW ( FPLANENTRYID ,FPLANID );


 EXEC P_ALTERPK 'PK_T_MCM_IMPROVEPLAN_CHANGE_L', 'T_MCM_IMPROVEPLAN_CHANGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_IMPLAN_CHANGE_L_ID') CREATE INDEX IDX_MCM_IMPLAN_CHANGE_L_ID ON T_MCM_IMPROVEPLAN_CHANGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MCM_IMPROVE_RESULT', 'T_MCM_IMPROVE_RESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_IMPROVE_RESULT') CREATE INDEX IDX_MCM_IMPROVE_RESULT ON T_MCM_IMPROVE_RESULT ( FID ,FSEQ );

/**End C:\PDM_UPGRADE\PDM1\SOU_constraint.sql **/
